%define name chemtool
%define version 1.3
%define release 1mdk

Summary: Chemtool is a program for 2D drawing organic molecules
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Chemistry
Source: %{name}-%{version}.tar.bz2
URL: http://www.uni-ulm.de/~s_tvolk/chemtool.html
Icon: chemtool.xpm
BuildRoot: %_tmppath/%name-buildroot

%description
Chemtool is a program for drawing organic molecules easily and store them as
a X bitmap, Xfig or EPS file. It runs under the X Window System using 
the GTK widget set.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_bindir
install -d $RPM_BUILD_ROOT%_mandir/man1
install -d $RPM_BUILD_ROOT%_datadir/%name-%version/examples
install -d $RPM_BUILD_ROOT%_datadir/locale/de/LC_MESSAGES
install -d $RPM_BUILD_ROOT%_datadir/locale/cs/LC_MESSAGES
install -m 755 %{name} $RPM_BUILD_ROOT%_bindir/
install -m 755 src-cht/cht $RPM_BUILD_ROOT%_bindir/
install -m 644 examples/* $RPM_BUILD_ROOT%_datadir/%{name}-%{version}/examples
install -m 644 %{name}.1 $RPM_BUILD_ROOT%_mandir/man1/
install -m 644 locales/de/chemtool.mo $RPM_BUILD_ROOT%_datadir/locale/de/LC_MESSAGES
install -m 644 locales/cs/chemtool.mo $RPM_BUILD_ROOT%_datadir/locale/cs/LC_MESSAGES

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/chemtool"\
title="Chemtool"\
longtitle="A program for drawing organic molecules"\
needs="x11"\
section="Applications/Sciences/Chemistry"
EOF
)



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc TODO,README,ChangeLog
%_bindir/*
%_datadir/%{name}-%{version}
%_mandir/man1/*
%lang(de) %_datadir/locale/de/LC_MESSAGES/chemtool.mo
%lang(cs) %_datadir/locale/cs/LC_MESSAGES/chemtool.mo

%changelog
* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- new in contribs
